Skip Menu |
Report information
Id: 131971
Status: new
Priority: 0/
Queue: perl6

Owner: Nobody
Requestors: martin [at] senfdax.de
Cc:
AdminCc:

Severity: (no value)
Tag: (no value)
Platform: (no value)
Patch Status: (no value)
VM: (no value)



From: Martin Barth <martin [...] senfdax.de>
Subject: can not require ::($.member)
To: rakudobug [...] perl.org
Date: Sun, 27 Aug 2017 13:49:39 +0200
Download (untitled) / with headers
text/plain 754b
class Foo { has $.class is required; method require-class { try { require ::($.class); CATCH { default { say .message; } } } } method require-c { my $c = $.class; try { require ::($c); CATCH { default { say .message; } } } } } # use something that you have installed or you get a "Couldn not find ...." which is fine. my $f = Foo.new(class => 'Bailador'); say 'works - or throws could not find Bailador'; $f.require-c; say 'fails with "Too many positionals passed..."'; $f.require-class;


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

For issues related to this RT instance (aka "perlbug"), please contact perlbug-admin at perl.org